Page MenuHomePhabricator

Create private wiki sysop_itwiki
Closed, ResolvedPublic

Description

Many itwiki admins have expressed a desire for a private wiki to be used in place of the mailing list. Such a wiki would be used for internal messages, coordination, etc. (like a mailing list), but with the pros of a wiki (most notably it's easier to categorize and search data). This idea was inspired by existing wikis like checkuserwiki.

For this reason, I'm kindly asking for a private wiki to be created, according to the specifications below:

Thank you!


Pre-install automatic checklist:

The creation is blocked until these part are all done.


Post install automatic checklist:


Step by step commands:
On deploy1001:
cd /srv/mediawiki-staging/
git fetch
git log -p HEAD..@{u}
git rebase
On mwmaint1002:
scap pull
mwscript extensions/WikimediaMaintenance/addWiki.php --wiki=aawiki it wikipedia sysop_itwiki sysop-it.wikipedia.org
On deploy1001:
scap sync-file dblists "Creating sysop_itwiki (T256545)"
scap sync-wikiversions "Creating sysop_itwiki (T256545)"
scap sync-file wmf-config/InitialiseSettings.php "Creating sysop_itwiki (T256545)"
scap sync-file static/images/project-logos/ "Creating sysop_itwiki (T256545)"
scap sync-file langlist "Creating sysop_itwiki (T256545)"
scap update-interwiki-cache

End of automatic output

Event Timeline

Daimona created this task.Jun 27 2020, 6:08 PM
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptJun 27 2020, 6:08 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Melos added a subscriber: Melos.Jul 3 2020, 12:41 PM
Urbanecm claimed this task.Jul 4 2020, 7:28 PM
Urbanecm triaged this task as Low priority.
Majavah added a subscriber: Majavah.Jul 4 2020, 7:29 PM

Change 609548 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/puppet@production] Add sysop_itwiki to private_wikis

https://gerrit.wikimedia.org/r/609548

Change 609550 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/dns@master] Create sysop-it.wikimedia.org

https://gerrit.wikimedia.org/r/609550

Urbanecm updated the task description. (Show Details)Jul 4 2020, 7:57 PM

Change 609550 abandoned by Urbanecm:
[operations/dns@master] Create sysop-it.wikimedia.org

Reason:
wrong...

https://gerrit.wikimedia.org/r/609550

Change 609551 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/dns@master] Create sysop-it.wikipedia.org

https://gerrit.wikimedia.org/r/609551

Urbanecm updated the task description. (Show Details)Jul 4 2020, 8:15 PM
Urbanecm updated the task description. (Show Details)Jul 5 2020, 12:43 PM
Urbanecm updated the task description. (Show Details)Jul 5 2020, 12:43 PM

Change 609573 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[mediawiki/extensions/WikimediaMessages@master] Add messages for sysop_itwiki

https://gerrit.wikimedia.org/r/609573

Change 609548 abandoned by Urbanecm:
[operations/puppet@production] Add sysop_itwiki to private_wikis

Reason:
Already merged

https://gerrit.wikimedia.org/r/609548

Mentioned in SAL (#wikimedia-operations) [2020-07-06T08:24:07Z] <kormat> restarting all mariadb instances on sanitarium hosts T256545

I don't mind doing the mediawiki-config this afternoon

Change 609768 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Initial configuration for sysop_itwiki

https://gerrit.wikimedia.org/r/609768

Urbanecm moved this task from Backlog to Working on on the User-Urbanecm board.Jul 6 2020, 2:59 PM
Dzahn added a subscriber: Dzahn.EditedJul 6 2020, 4:55 PM

Would you be ok with this living in the wikimedia.org domain instead of the wikipedia.org domain? I think we should avoid adding more special/private wikis in the project domain since this isn't an actual Wikipedia.

It would also mean we don't have to treat "sysop_itwiki" as a fake language and other things.

Would you be ok with this living in the wikimedia.org domain instead of the wikipedia.org domain? I think we should avoid adding more special/private wikis in the project domain since this isn't an actual Wikipedia.

Absolutely yes. The domain is not really important here, I just went with the same domain as arbcom wikis. (As usual, naming things is the hardest part)

One point with using .wikimedia.org is that what would happen if another sister project wanted a simmilar private wiki.

Dzahn added a comment.Jul 6 2020, 11:56 PM

I just went with the same domain as arbcom wikis. (As usual, naming things is the hardest part)

Fair enough, the existing arbcom wikis are also in it. So not a strong opinion here.

Dzahn added a comment.Jul 6 2020, 11:58 PM

One point with using .wikimedia.org is that what would happen if another sister project wanted a simmilar private wiki.

If it was, for example, a wiktionary and also Italian then the name would be "sysop_itwiktionary", following the dblists scheme, i guess ;). But i am fine with either per above.

One point with using .wikimedia.org is that what would happen if another sister project wanted a simmilar private wiki.

If it was, for example, a wiktionary and also Italian then the name would be "sysop_itwiktionary", following the dblists scheme, i guess ;). But i am fine with either per above.

That would map to sysop-it.wiktionary.org (ie. no wikimedia.org domain). If we wanted wikimedia.org, it would have to be sysop_itwikiwikimedia for a Wikipedia, and sysop_itwiktionarywikimedia for Wiktionary, mapping to sysop-itwiki.wikimedia.org or sysop-itwiktionary.wikimedia.org respectively.

I'm personally in favor of following the same naming schema as we have for arbcom private wikis, because I don't see a strong reason for switching, and having one system is always better than having a couple of them.

Dzahn added a comment.Jul 8 2020, 12:05 AM

I'm personally in favor of following the same naming schema as we have for arbcom private wikis, because I don't see a strong reason for switching, and having one system is always better than having a couple of them.

Ok, this is convincing me. Fine with me.

itwiki admins have expressed a desire

Is there maybe a place that this was at that we could link to?

itwiki admins have expressed a desire

Is there maybe a place that this was at that we could link to?

Hm, not really, actually. This was brought up on the private mailing list, where at least a dozen of people agreed. We then followed-up with a message at the village pump (here) which, I admit, didn't receive much attention (just a couple of support messages).

Jony added a subscriber: Jony.Jul 8 2020, 3:15 PM

Change 609551 merged by Dzahn:
[operations/dns@master] Create sysop-it.wikipedia.org

https://gerrit.wikimedia.org/r/609551

Dzahn added a comment.Jul 8 2020, 6:23 PM

Ok, thanks @Daimona all public would have been ideal but this is also something. I see support from Ferdi etc. Alright.

It has been added to DNS now.

Urbanecm updated the task description. (Show Details)Jul 10 2020, 8:22 PM
Urbanecm updated the task description. (Show Details)Jul 10 2020, 8:42 PM

Change 609573 merged by jenkins-bot:
[mediawiki/extensions/WikimediaMessages@master] Add messages for sysop_itwiki

https://gerrit.wikimedia.org/r/609573

This is ready for creation now.

This is ready for creation now.

The messages need to be deployed first (next train).

This is ready for creation now.

The messages need to be deployed first (next train).

FYI: This has happened, so this is fully ready now.

Change 609768 merged by jenkins-bot:
[operations/mediawiki-config@master] Initial configuration for sysop_itwiki

https://gerrit.wikimedia.org/r/609768

Mentioned in SAL (#wikimedia-operations) [2020-07-20T12:46:55Z] <urbanecm@deploy1001> Synchronized dblists: Creating sysop_itwiki (T256545) (duration: 00m 57s)

Mentioned in SAL (#wikimedia-operations) [2020-07-20T12:48:32Z] <urbanecm@deploy1001> rebuilt and synchronized wikiversions files: Creating sysop_itwiki (T256545)

Mentioned in SAL (#wikimedia-operations) [2020-07-20T12:49:41Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Creating sysop_itwiki (T256545) (duration: 00m 57s)

Mentioned in SAL (#wikimedia-operations) [2020-07-20T12:50:47Z] <urbanecm@deploy1001> Synchronized static/images/project-logos/: Creating sysop_itwiki (T256545) (duration: 00m 57s)

Mentioned in SAL (#wikimedia-operations) [2020-07-20T12:56:09Z] <Urbanecm> Create Daimona Eaytoy at sysop_itwiki (T256545)

Created a first account for @Daimona. Once you have time to gain that account, go to https://sysop-it.wikipedia.org/wiki/Speciale:ReimpostaPassword and set your password. Email is set to same value as you have at SUL wikis. Ping me at IRC if there are any problems with that.

Urbanecm closed this task as Resolved.Jul 20 2020, 12:58 PM

Wiki is up and running.

Mentioned in SAL (#wikimedia-operations) [2020-07-20T12:59:13Z] <Urbanecm> creating arywiki (T257674), lijwikisource (T257672), sysop_itwiki (T256545) done

Created a first account for @Daimona. Once you have time to gain that account, go to https://sysop-it.wikipedia.org/wiki/Speciale:ReimpostaPassword and set your password. Email is set to same value as you have at SUL wikis. Ping me at IRC if there are any problems with that.

Done, everything's looking nice. Thank you!

Change 614742 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[mediawiki/services/restbase/deploy@master] Add newly created wikis

https://gerrit.wikimedia.org/r/614742

Change 614742 merged by Ppchelko:
[mediawiki/services/restbase/deploy@master] Add newly created wikis

https://gerrit.wikimedia.org/r/614742